1.1

1.1

put /v1/trails/{trail_id}

Description

set a specific trail

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtrail_id
required
Trail ID
Example :
any of [string, null]None
bodybody
required

TrailSetRequestV1dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedTrailShowResponseV1dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/trails/{trail_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"

Request body

{
    "log_type_total_yn": "N",
    "log_verification_yn": "N",
    "organization_trail_yn": "Y",
    "region_names": [],
    "region_total_yn": "Y",
    "resource_type_total_yn": "Y",
    "target_log_types": [],
    "target_resource_types": [],
    "target_users": [],
    "trail_description": "This is a test trail",
    "trail_save_type": "JSON",
    "user_total_yn": "Y"
}

Example HTTP response

Response 202

{
    "trail": {
        "account_id": "ACCOUNT_ID-ABCDEF1234",
        "account_name": "Test Account",
        "bucket_name": "Bucket001",
        "bucket_region": "RegionOne",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "created_user_id": "kim.samsung@samsung.com",
        "del_yn": "N",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
        "log_type_total_yn": "Y",
        "log_verification_yn": "N",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "organization_trail_yn": "Y",
        "region_names": [],
        "region_total_yn": "Y",
        "resource_type_total_yn": "Y",
        "state": "ACTIVE",
        "target_log_types": [],
        "target_resource_types": [],
        "target_users": [],
        "trail_batch_end_at": "2025-11-07T09:00:00Z",
        "trail_batch_first_start_at": "2025-10-28T10:00:00Z",
        "trail_batch_last_state": "success",
        "trail_batch_start_at": "2025-11-07T09:00:00Z",
        "trail_batch_success_at": "2025-11-07T09:00:00Z",
        "trail_description": "test trail",
        "trail_name": "Trail-0001",
        "trail_save_type": "JSON",
        "user_total_yn": "Y"
    }
}